<ion-header>
  <ion-toolbar>
        <ion-buttons slot="start">
            <ion-button color="light" (click)="goBack()">
                <ion-icon src="assets/icon/ico-back.svg" slot="icon-only"></ion-icon>
            </ion-button>
        </ion-buttons>

        <ion-title>
        	Soporte PLAZ
        </ion-title>

        <ion-buttons slot="end">
            <ion-button color="light">
                <img src="../assets/imgs/logo.svg" class="logomain" />
            </ion-button>
        </ion-buttons>
  </ion-toolbar>
</ion-header>

<ion-content>

  <div class="message-wrap" *ngIf="status == 'CONECTADO'">
    <div *ngIf="msgList.length == 0">
      <h3 style="text-align: center;">Cuéntanos en que podemos ayudarte.</h3>
    </div>
    <div *ngFor="let msg of msgList" class="message" [class.left]=" msg.userId === toUser.id " [class.right]=" msg.userId === user.id ">
      <img class="user-img" [src]="msg.userAvatar" alt="" src="">
      <ion-spinner name="dots" *ngIf="msg.status === 'pending'"></ion-spinner>
      <div class="msg-detail">
        <div class="msg-info">
          <p>{{msg.userName}}&nbsp;&nbsp;&nbsp;{{timeago(msg.time)}}</p>
        </div>
        <div class="msg-content">
          <span class="triangle"></span>
          <p class="line-breaker ">{{msg.message}}</p>
        </div>
      </div>
    </div>

  </div>
  <div *ngIf="status == 'CONECTANDO'" class="label">
    <ion-label color="primary">Conectando ...</ion-label>
  </div>

</ion-content>

<!--<ion-footer no-border [style.height]="showEmojiPicker ? '255px' : '55px'">-->
<ion-footer no-border>
  <div *ngIf="status == 'CONECTADO'">
    <div class="input-wrap">
      <!--<ion-button clear item-right (click)="switchEmojiPicker()">
        <ion-icon name="md-happy" slot="icon-only"></ion-icon>
      </ion-button>-->
      	<div class="col-wrap" style="width: 80%;padding-left: 12px;">
      		<ion-textarea #chat_input placeholder="Escribe tu mensaje ..." [(ngModel)]="editorMsg" (keyup.enter)="sendMsg()" (focusin)="onFocus()"></ion-textarea>
  		</div>
  		<div class="col-wrap" style="width: 20%;text-align: center;">
      		<ion-button clear item-right (click)="sendMsg()">
        		<ion-icon name="ios-send" ios="ios-send" md="md-send" slot="icon-only"></ion-icon>
      		</ion-button>
      	</div>
    </div>
    <!--<emoji-picker [(ngModel)]="editorMsg"></emoji-picker>-->
  </div>
  <div *ngIf="status == 'CONECTANDO'" class="text-align:center">
    <ion-label color="primary">Conectando ...</ion-label>
  </div>
</ion-footer>
